Bug 180549 - databases/py-swift: update to 1.9.0
Summary: databases/py-swift: update to 1.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-14 09:50 UTC by Mikolaj Golub
Modified: 2013-09-10 09:50 UTC (History)
0 users

See Also:


Attachments
file.diff (8.44 KB, patch)
2013-07-14 09:50 UTC, Mikolaj Golub
no flags Details | Diff
py-swift.port.8.patch.txt (8.92 KB, text/plain; charset=us-ascii)
2013-07-23 20:12 UTC, Mikolaj Golub
no flags Details
py-swift.port.9.patch.txt (9.45 KB, text/plain; charset=us-ascii)
2013-08-10 18:45 UTC, Mikolaj Golub
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2013-07-14 09:50:00 UTC
Please update databases/py-swift to 1.9.0.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-07-14 09:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-07-14 09:50:10 UTC
Maintainer of databases/py-swift,

Please note that PR ports/180549 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180549

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-07-14 09:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Mikolaj Golub freebsd_committer 2013-07-23 20:12:49 UTC
Here is an updated patch: the missing dnspython dependency is added.

-- 
Mikolaj Golub
Comment 5 Mikolaj Golub freebsd_committer 2013-08-10 18:45:26 UTC
Also, a missing dependency on d2to1 is found. The updated patch is
attached.

-- 
Mikolaj Golub
Comment 6 Frederic Culot freebsd_committer 2013-09-10 09:09:03 UTC
Responsible Changed
From-To: freebsd-python->culot

I'll take it.
Comment 7 dfilter service freebsd_committer 2013-09-10 09:46:19 UTC
Author: culot
Date: Tue Sep 10 08:46:10 2013
New Revision: 326876
URL: http://svnweb.freebsd.org/changeset/ports/326876

Log:
  - Update to 1.9.0
  
  Changes:	https://github.com/openstack/swift/blob/master/CHANGELOG
  PR:		ports/180549
  Submitted by:	trociny@
  Approved by:	maintainer (timeout, >14 days)

Modified:
  head/databases/py-swift/Makefile
  head/databases/py-swift/distinfo
  head/databases/py-swift/pkg-plist

Modified: head/databases/py-swift/Makefile
==============================================================================
--- head/databases/py-swift/Makefile	Tue Sep 10 08:41:39 2013	(r326875)
+++ head/databases/py-swift/Makefile	Tue Sep 10 08:46:10 2013	(r326876)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	swift
-PORTVERSION=	1.8.0
-PORTREVISION=	1
+PORTVERSION=	1.9.0
 CATEGORIES=	databases python
-MASTER_SITES=	http://launchpadlibrarian.net/136145662/
+MASTER_SITES=	http://launchpadlibrarian.net/143982818/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	gslin@gslin.org
@@ -13,14 +12,15 @@ COMMENT=	Highly available, distributed, 
 
 LICENSE=	AL2
 
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}eventlet>=0.9.8:${PORTSDIR}/net/py-eventlet \
-		${PYTHON_PKGNAMEPREFIX}netifaces>0:${PORTSDIR}/net/py-netifaces \
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}PasteDeploy>0:${PORTSDIR}/www/py-pastedeploy \
+		${PYTHON_PKGNAMEPREFIX}d2to1>=0.2.10:${PORTSDIR}/devel/py-d2to1 \
+		${PYTHON_PKGNAMEPREFIX}dnspython>=1.10.0:${PORTSDIR}/dns/py-dnspython \
+		${PYTHON_PKGNAMEPREFIX}eventlet>=0.9.8:${PORTSDIR}/net/py-eventlet \
+		${PYTHON_PKGNAMEPREFIX}netifaces>=0:${PORTSDIR}/net/py-netifaces \
 		${PYTHON_PKGNAMEPREFIX}simplejson>=0:${PORTSDIR}/devel/py-simplejson \
 		${PYTHON_PKGNAMEPREFIX}sqlite3>=0:${PORTSDIR}/databases/py-sqlite3 \
 		${PYTHON_PKGNAMEPREFIX}webob>=0.9.8:${PORTSDIR}/www/py-webob \
 		${PYTHON_PKGNAMEPREFIX}xattr>=0:${PORTSDIR}/devel/py-xattr \
-		${PYTHON_PKGNAMEPREFIX}netifaces>=0:${PORTSDIR}/net/py-netifaces \
-		${PYTHON_PKGNAMEPREFIX}PasteDeploy>0:${PORTSDIR}/www/py-pastedeploy \
 		rsync>=3.0:${PORTSDIR}/net/rsync
 
 USE_PYTHON=	-2.7

Modified: head/databases/py-swift/distinfo
==============================================================================
--- head/databases/py-swift/distinfo	Tue Sep 10 08:41:39 2013	(r326875)
+++ head/databases/py-swift/distinfo	Tue Sep 10 08:46:10 2013	(r326876)
@@ -1,2 +1,2 @@
-SHA256 (swift-1.8.0.tar.gz) = 613185473e0c6f11c77bdc6b65efee195303268117afd9024fee82ebde6ed8a3
-SIZE (swift-1.8.0.tar.gz) = 556736
+SHA256 (swift-1.9.0.tar.gz) = 12f86404bde15192415badd60ed7528a47967b66c29ba7f671fe5189290c7b64
+SIZE (swift-1.9.0.tar.gz) = 617393

Modified: head/databases/py-swift/pkg-plist
==============================================================================
--- head/databases/py-swift/pkg-plist	Tue Sep 10 08:41:39 2013	(r326875)
+++ head/databases/py-swift/pkg-plist	Tue Sep 10 08:46:10 2013	(r326876)
@@ -12,6 +12,7 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-account-server
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-bench
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-bench-client
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-config
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-container-auditor
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-container-replicator
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-container-server
@@ -55,6 +56,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/account/server.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/account/server.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/account/server.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/account/utils.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/account/utils.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/account/utils.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/__init__.pyo
@@ -115,6 +119,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/container_quotas.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/container_quotas.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/container_quotas.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/crossdomain.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/crossdomain.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/crossdomain.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/domain_remap.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/domain_remap.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/common/middleware/domain_remap.pyo
@@ -202,6 +209,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/auditor.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/auditor.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/auditor.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/base.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/base.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/base.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/expirer.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/expirer.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/swift/obj/expirer.pyo
@@ -265,6 +275,12 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/common.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/common.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/common.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_get_fake_responses_match.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_get_fake_responses_match.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_get_fake_responses_match.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_replication_servers_working.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_replication_servers_working.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_replication_servers_working.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_failures.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_failures.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/probe/test_account_failures.pyo
@@ -319,6 +335,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/common/middleware/test_cname_lookup.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/common/middleware/test_cname_lookup.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/common/middleware/test_cname_lookup.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/common/middleware/test_crossdomain.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/common/middleware/test_crossdomain.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/common/middleware/test_crossdomain.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/common/middleware/test_domain_remap.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/common/middleware/test_domain_remap.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/common/middleware/test_domain_remap.pyo
@@ -448,6 +467,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_auditor.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_auditor.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_auditor.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_base.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_base.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_base.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_expirer.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_expirer.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/obj/test_expirer.pyo
@@ -466,9 +488,18 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_account.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_account.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_account.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_base.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_base.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_base.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_container.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_container.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_container.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_obj.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_obj.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers/test_obj.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/test_server.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/test_server.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/test_server.pyo
@@ -479,6 +510,7 @@ bin/swift-account-replicator
 bin/swift-account-server
 bin/swift-bench
 bin/swift-bench-client
+bin/swift-config
 bin/swift-container-auditor
 bin/swift-container-replicator
 bin/swift-container-server
@@ -513,8 +545,9 @@ etc/swift/object-expirer.conf-sample
 etc/swift/object-server.conf-sample
 etc/swift/proxy-server.conf-sample
 etc/swift/rsyncd.conf-sample
-etc/swift/swift.conf-sample
 etc/swift/swift-bench.conf-sample
+etc/swift/swift-rsyslog.conf-sample
+etc/swift/swift.conf-sample
 @dirrmtry etc/swift
 @dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy/controllers
 @dirrmtry %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/test/unit/proxy
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Frederic Culot freebsd_committer 2013-09-10 09:46:23 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!